Bug 159431 - NullPointerException at org.netbeans.modules.db.metadata.model.jdbc.JDBCCatalog.createSchemas
NullPointerException at org.netbeans.modules.db.metadata.model.jdbc.JDBCCatal...
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jiri Rechtacek
issues@db
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-02 12:23 UTC by krotow
Modified: 2010-04-01 12:54 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.46 KB, text/plain)
2009-03-02 12:23 UTC, krotow
Details
stacktrace (3.25 KB, text/plain)
2009-11-20 11:16 UTC, emiddio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description krotow 2009-03-02 12:23:47 UTC
Build: NetBeans IDE Dev (Build 200902231810)
VM: Java HotSpot(TM) Client VM, 11.2-b01, Java(TM) SE Runtime Environment, 1.6.0_12-b04
OS: Linux, 2.6.25.20-0.1-pae, i386

User Comments:
GUEST: Has tried to create a new connection to database on Informix Dynamic Server 7.31 UD8, using Informix JDBC driver 3.50.JC1DE, provided by IBM. Used connection parameters:

user: informix
password: informix
connection string: jdbc:informix-sqli://<host name>:<port>:INFORMIXSERVER=<Informix server name>;

krotow: Created a new connection to database on Informix Dynamic Server 7.31 UD8, using Informix JDBC driver 3.50.JC1DE, provided by IBM. Used connection parameters:

user: informix
password: informix
connection string: jdbc:informix-sqli://<host name>:<port>:INFORMIXSERVER=<Informix server name>;

Connection entry was made by a "New Connection" option under "Databases" tree entry in NB Services tab. Informix driver class name is "com.informix.jdbc.IfxDriver", driver JAR file is <Ifx JDBC path>/lib/ifxjdbc.jar

Connection to database was made successfully (no errors and database tree was opened successfully). Error occured, when I tried to open database entry (any of them). After error database entry was empty. I guess, this may be because of uncaught Informix JDBC exception - wrong password, incorrect DB locale or so on.



Stacktrace: 
java.lang.NullPointerException
        at org.netbeans.modules.db.metadata.model.jdbc.JDBCCatalog.createSchemas(JDBCCatalog.java:125)
        at org.netbeans.modules.db.metadata.model.jdbc.JDBCCatalog.initSchemas(JDBCCatalog.java:169)
        at org.netbeans.modules.db.metadata.model.jdbc.JDBCCatalog.getSyntheticSchema(JDBCCatalog.java:91)
        at org.netbeans.modules.db.metadata.model.api.Catalog.getSyntheticSchema(Catalog.java:91)
        at org.netbeans.modules.db.explorer.node.SchemaNodeProvider$1.run(SchemaNodeProvider.java:102)
        at org.netbeans.modules.db.explorer.node.SchemaNodeProvider$1.run(SchemaNodeProvider.java:98)
Comment 1 krotow 2009-03-02 12:23:59 UTC
Created attachment 77558 [details]
stacktrace
Comment 2 krotow 2009-03-02 13:13:23 UTC
Successfully opened database entry, when user name and password was been appended to jdbc connection string:

jdbc:informix-sqli://<host name>:<port>:INFORMIXSERVER=<Ifx server name>;user=informix;password=informix

Seems, this is an uncaught Informix exception, when wrong connection parameters is used.
Comment 3 Jiri Rechtacek 2009-07-01 07:44:19 UTC
NB6.7 was released already - http://www.netbeans.org/community/releases/67/
Postpone fixing this issue on the next release.
Comment 4 Exceptions Reporter 2009-11-18 13:56:17 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=146916
Comment 5 Exceptions Reporter 2009-11-18 13:57:12 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=146916
Comment 6 emiddio 2009-11-20 11:16:05 UTC
Created attachment 91445 [details]
stacktrace
Comment 7 Jiri Rechtacek 2010-04-01 12:54:33 UTC
core-main/rev/82c6a5151a81


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo